﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Linq;
using System.Threading.Tasks;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel.DataAnnotations;
using System.Xml.Linq;
using System.Collections.ObjectModel;
using System.ComponentModel.DataAnnotations.Schema;
using Model;
using static System.Net.Mime.MediaTypeNames;
using System.Reflection.PortableExecutable;
using System.Security.Claims;

namespace EntityFrameworkLOL.Entities
{
    class ChampionEntity
    {
        [Key]
        public string Name { get; set; }

        public string Bio { get; set; }

        public string Icon { get; set; }

        [NotMapped]
        public Dictionary<string, int> Characteristics { get; set; }
        // Switch Dictionary to List puis faudra juste mapper la liste en dico

        public ChampionClassEntity Class { get; set; }

        public ImageEntity Image { get; set; }

        //public ICollection<Skill> Skills { get; set; }
    }
}